<?php

class ExtraManufacturer extends Module
{
	private $_html = '';
	private $_postErrors = array();

	function __construct()
	{
		$this->name = 'extramanufacturer';
			if(_PS_VERSION_ > "1.4.0.0"){
		$this->tab = 'front_office_features';
		$this->author = 'RSI';
		$this->need_instance = 1;
		}else
		{
		$this->tab = 'Tools';
		}
		$this->version = '1.4';

		parent::__construct();
		
		$this->displayName = $this->l('Extramanufacturer');
		$this->description = $this->l('www.catalogo-onlinersi.com.ar');
	}

	function install()
	{
		if (!Configuration::updateValue('EXTRAMANUFACTURER_SI', '1') OR !parent::install() OR !$this->registerHook('extraRight') OR !$this->registerHook('header'))
			return false;
		
			if (!Configuration::updateValue('EXTRAMANUFACTURER_MN', '1'))
			return false;
			if (!Configuration::updateValue('EXTRAMANUFACTURER_MI', '1'))
			return false;
			if (!Configuration::updateValue('EXTRAMANUFACTURER_SN', '1'))
			return false;

			
		
		return true;
	}
	
	public function getContent()
	{
		
			global $cookie,$currentIndex;
		$output='
	
		';
		$output = $output.'<h2>'.$this->displayName.'</h2>';
		if (Tools::isSubmit('submitExtraManufacturer'))
		{
			
			
					$mn = Tools::getValue('mn');
					$mi = Tools::getValue('mi');
					$sn = Tools::getValue('sn');
					$si = Tools::getValue('si');
	
				
		
					Configuration::updateValue('EXTRAMANUFACTURER_MN', $mn);
							Configuration::updateValue('EXTRAMANUFACTURER_MI', $mi);
									Configuration::updateValue('EXTRAMANUFACTURER_SN', $sn);
									Configuration::updateValue('EXTRAMANUFACTURER_SI', $si);

				

	 
				
			if (isset($errors) AND sizeof($errors))
				$output .= $this->displayError(implode('<br />', $errors));
			else
				$output .= $this->displayConfirmation($this->l('Settings updated'));
		}
		


		return $output.$this->displayForm();
	}
function recurseCategory($categories, $current, $id_category = 1, $selectids_array)
	{
		global $currentIndex;		

		echo '<option value="'.$id_category.'"'.(in_array($id_category,$selectids_array) ? ' selected="selected"' : '').'>'.
		str_repeat('&nbsp;', $current['infos']['level_depth'] * 5) . preg_replace('/^[0-9]+\./', '', stripslashes($current['infos']['name'])) . '</option>';
		if (isset($categories[$id_category]))
			foreach ($categories[$id_category] AS $key => $row)
				$this->recurseCategory($categories, $categories[$id_category][$key], $key, $selectids_array);
	}
	public function displayForm()
	{
		$output = '
		<form action="'.$_SERVER['REQUEST_URI'].'" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.png" alt="" title="" />'.$this->l('Settings').'</legend>
						
			<label>'.$this->l('Display manufacturer name?').'</label>
				<div class="margin-form">
					<input type="textarea"  name="mn" value="'.Tools::getValue('mn', Configuration::get('EXTRAMANUFACTURER_MN')).'" />
					<p class="clear">'.$this->l('0 = no, 1 = yes').'</p>
					
				</div>
				
			
				
				<label>'.$this->l('Display manufacturer image').'</label>
				<div class="margin-form">
					<input type="text" size="5" name="mi" value="'.Tools::getValue('mi', Configuration::get('EXTRAMANUFACTURER_MI')).'" />
					<p class="clear">'.$this->l('0 = no, 1 = yes').'</p>
					
				</div>
				
				<label>'.$this->l('Display supplier name').'</label>
				<div class="margin-form">
					<input type="textarea" name="sn" value="'.Tools::getValue('sn', Configuration::get('EXTRAMANUFACTURER_SN')).'" />
					<p class="clear">'.$this->l('0 = no, 1 = yes').'</p>
					
				</div>
				
				<label>'.$this->l('Display supplier image').'</label>
				<div class="margin-form">
					<input type="text" size="5" name="si" value="'.Tools::getValue('si', Configuration::get('EXTRAMANUFACTURER_SI')).'" />
						<p class="clear">'.$this->l('0 = no, 1 = yes').'</p>
					
				</div>
				
			
				
				
			<p class="clear">'.$this->l('0 = no, 1 = yes').'</p>
					
				<center><input type="submit" name="submitExtraManufacturer" value="'.$this->l('Save').'" class="button" /></center>
									<center><a href="../modules/extramanufacturer/moduleinstall.pdf">README</a></center><br/>
						<center><a href="../modules/extramanufacturer/termsandconditions.pdf">TERMS</a></center><br/>
			</fieldset>
		</form>
		
		<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
			<fieldset><legend><img src="'.$this->_path.'logo.png" alt="" title="" />'.$this->l('Contribute').'</legend>
				<p class="clear">'.$this->l('You can contribute with a donation if our free modules and themes are usefull for you. Clic on the link and support us!').'</p>
				<p class="clear">'.$this->l('For more modules & themes visit: www.catalogo-onlinersi.com.ar').'</p>
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="HMBZNQAHN9UMJ">
<input type="image" src="https://www.paypalobjects.com/WEBSCR-640-20110401-1/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypalobjects.com/WEBSCR-640-20110401-1/en_US/i/scr/pixel.gif" width="1" height="1">
	</fieldset>
</form>
';
		$output2 = 
				'';
return $output2.$output;
	
	}

	
	
	
		function hookextraRight($params)
	{
		global $smarty, $cookie;
		
		
		$mn = Configuration::get('EXTRAMANUFACTURER_MN');
		$mi = Configuration::get('EXTRAMANUFACTURER_MI');
		$sn = Configuration::get('EXTRAMANUFACTURER_SN');
		$si = Configuration::get('EXTRAMANUFACTURER_SI');
				$id_product = intval(Tools::getValue('id_product'));
		@$product2 = new Product($id_product, true, intval($cookie->id_lang));

		
	
		$smarty->assign(array(
			'mn' => $mn,
				'mi' => $mi,
				'sn' => $sn,
				'si' => $si,
				'product2' => $product2
	
				
		));
		
			return $this->display(__FILE__, 'extramanufacturer.tpl');
	}
	function hookHeader($params)
	{
			if(_PS_VERSION_ > "1.4.0.0" && _PS_VERSION_ < "1.5.0.0"){
			
			Tools::addCSS(($this->_path).'style.css','all');
			}
			if(_PS_VERSION_>"1.5.0.0"){
		$this->context->controller->addCSS(($this->_path).'style.css', 'all');
		
			
	}
if(_PS_VERSION_<"1.4.0.0")
{
		
		return $this->display(__FILE__, 'extramanufacturer-header.tpl');
}
		}
		
	

}
?>